# $Revision: 1.27 $, $Date: 2011/03/01 06:28:57 $
%include	/usr/lib/rpm/macros.php
%define		_class		XML
%define		_subclass	image2svg
%define		_status		beta
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - image to SVG conversion
Summary(pl.UTF-8):	%{_pearname} - konwersja rysunków do SVG
Name:		php-pear-%{_pearname}
Version:	0.1.1
Release:	3
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	77c8e95bdfa451a0dab40f5fe6057307
URL:		http://pear.php.net/package/XML_image2svg/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Suggests:	php-pear-HTML_Template_IT
Obsoletes:	php-pear-XML_image2svg-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	pear(HTML/Template/IT.*)

%description
The class converts images, such as of the format JPEG, PNG and GIF to
a standalone SVG representation. The image is being encoded by the PHP
native encode_base64() function. You can use it to get back a complete
SVG file, which is based on a predefinded, easy adaptable template
file, or you can take the encoded file as a return value, using the
get() method. Due to the encoding by base64, the SVG files will
increase approx. 30% in size compared to the conventional image.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ta klasa konwertuje rysunki, takie formaty jak JPEG, PNG czy TIFF do
samodzielnej reprezentacji SVG. Rysunek jest kodowany przy użyciu
natywnej funkcji encode_base64() PHP. Możesz z powrotem wrócić do
kompletnego pliku SVG, który jest oparty na predefiniowanym, łatwym do
zaadaptowania pliku tymczasowym, lub możesz wziąć zakodowany plik jako
wartość zwrotną, używając do metody get(). Poprzez zakodowanie przez
base64, pliki SVG są ok. 30% większe niż konwencjonalne rysunki.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

rm .%{php_pear_dir}/package.php

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-XML_image2svg.spec,v $
Revision 1.27  2011/03/01 06:28:57  glen
- release 3

Revision 1.26  2011/01/23 01:03:33  sparky
- dropped -tests subpackage

Revision 1.25  2010/08/21 19:08:44  glen
- updated deps with pearize.sh
- release 2

Revision 1.24  2010/08/19 18:49:38  glen
- up to 0.1.1

Revision 1.23  2008/01/31 12:17:39  glen
- rel 7

Revision 1.22  2007-02-12 22:09:12  glen
- tabs in preamble

Revision 1.21  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.20  2006/05/23 20:18:15  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.19  2006/04/02 13:48:07  glen
- AutoProv: no for -tests

Revision 1.18  2006/03/29 22:29:44  glen
- rel 6 (rebuild with less deps)

Revision 1.17  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.16  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.15  2005/10/27 19:22:29  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.14  2005/10/05 21:00:25  glen
- rel 5

Revision 1.13  2005/10/01 00:44:20  glen
- new pear packaging

Revision 1.12  2004/12/04 22:20:59  adamg
- added path_fix.patch (fixes path to IT.php)
- release 4

Revision 1.11  2004/12/04 14:29:44  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.10  2004/05/30 13:13:54  adamg
- fixed english information about status of the package

Revision 1.9  2004/03/20 15:47:38  adamg
- added missing status information

Revision 1.8  2004/03/15 17:44:33  ankry
- massive cosmetics

Revision 1.7  2003/10/07 20:57:03  adamg
- do not use macros in URL

Revision 1.6  2003/08/31 20:49:12  adamg
- more specific URL

Revision 1.5  2003/05/28 08:58:49  adamg
- massive attack: added source0-md5

Revision 1.4  2003/05/25 06:25:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2002/10/14 23:53:42  misto
- new rpm-php-requires/provides scripts
- release 2

Revision 1.2  2002/09/04 12:43:47  blues
- small fix in macros

Revision 1.1  2002/07/21 20:31:37  blues
- initial release
